Arc.ArcType (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.types.optional.imageio, class: Arc, class: ArcType

Package org.apache.tools.ant.types.optional.imageio

# Class Arc.ArcType

java.lang.Object
org.apache.tools.ant.types.EnumeratedAttribute
org.apache.tools.ant.types.optional.imageio.Arc.ArcType

Enclosing class:
  `Arc`

public static class Arc.ArcType extends EnumeratedAttribute

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

  `value`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ArcType()`
  Constructor
  `ArcType(String value)`
  Constructor using a string.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Arc.ArcType`
  `getDefault()`
  Get the default ArcType value.
  `String[]`
  `getValues()`
  This is the only method a subclass needs to implement.

  ### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

  `containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ArcType

    public ArcType()
    Constructor

  - ### ArcType

    public ArcType(String value)
    Constructor using a string.
    Parameters:
      `value` - the value of the attribute

- ## Method Details

  - ### getDefault

    public static Arc.ArcType getDefault()
    Get the default ArcType value.
    Returns:
      the default value.

  - ### getValues

    public String[] getValues()
    Description copied from class: `EnumeratedAttribute`
    This is the only method a subclass needs to implement.
    Specified by:
      `getValues` in class `EnumeratedAttribute`
    Returns:
      an array holding all possible values of the enumeration. The order of elements must be fixed so that `indexOfValue(String)` always return the same index for the same value.
    See Also:
      - `.`